<template>
  <span class="dot">
    <span></span><span></span><span></span><span></span><span></span
    ><span></span><span></span><span></span><span></span><span></span>
  </span>
</template>
<style lang="scss" scoped>
.dot {
  width: 22px;
  height: 22px;
  position: relative;

  & > * {
    background: #fff;
    width: 4px;
    height: 4px;
    border-radius: 99999px;
    position: absolute;
  }

  & span:nth-child(1) {
    left: 0;
    top: 0;
  }

  & span:nth-child(2) {
    left: 6px;
    top: 0;
    opacity: 0.8;
  }

  & span:nth-child(3) {
    left: 12px;
    top: 0;
    opacity: 0.6;
  }

  & span:nth-child(4) {
    left: 18px;
    top: 0;
    opacity: 0.4;
  }

  & span:nth-child(5) {
    left: 0;
    top: 6px;
    opacity: 0.8;
  }

  & span:nth-child(6) {
    left: 6px;
    top: 6px;
    opacity: 0.6;
  }

  & span:nth-child(7) {
    left: 12px;
    top: 6px;
    opacity: 0.4;
  }

  & span:nth-child(8) {
    left: 0;
    top: 12px;
    opacity: 0.6;
  }

  & span:nth-child(9) {
    left: 6px;
    top: 12px;
    opacity: 0.4;
  }

  & span:nth-child(10) {
    left: 0;
    top: 18px;
    opacity: 0.4;
  }
}
</style>
